package com.manning.aip.portfolio;

import android.app.IntentService;
import android.content.Intent;

public class SendC2dmRegistrationService extends IntentService {

	private static final String WORKER_NAME = "SendC2DMReg";
	public SendC2dmRegistrationService() {
		super(WORKER_NAME);
	}

	@Override
	protected void onHandleIntent(Intent intent) {
		try{
			String regId = intent.getStringExtra("regId");
			// DO ZROBIENIA: Wysyłanie identyfikatora regId do serwera
		} finally {
			AlarmReceiver.releaseLock();
		}
	}
}